package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ElderlyTempOutCreateReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ElderlyTempOutPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ElderlyTempOutRespVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ElderlyTempOutUpdateReqVO;

public interface ElderlyTempOutService {

    void create(ElderlyTempOutCreateReqVO createReq);

    void update(ElderlyTempOutUpdateReqVO updateReq);

    void delete(Long id);

    PageResult<ElderlyTempOutRespVO> page(ElderlyTempOutPageReqVO reqVO);

    ElderlyTempOutRespVO get(Long id);
}
